coolicon(1)

NAME
coolicon-3.17.7 - Icon manager with graphical icon configuration and drag and drop support. Written under the Coolwidget library.

USAGE
coolicon [options]

DESCRIPTION

Coolicon displays pixmap (.XPM) files as icons on the desktop. Each icon presents a menu (right-click) from where the user can perform various operations. Each icon has two user configurable scripts which are executed on recieving a drop event or on running the icon with a double-click. The icons scripts' as well as other properties can be modified through a dialog box accessable through each icon's menu. The scripts can directly manipulate a recieved drop event making it easy to program Trash Cans, Printer icons and so on. Several useful example icons are given.

OPTIONS

-d, -display <display>
    The X server and display you would like to display to.

-w, --wait-for-display
    Most X programs exit with an error if the specified server refuses a connection, or is unavailable. This option causes coolicon to retry the server once every second until a connection is established. You can use this to start coolicon before starting the server. You must however set the DISPLAY environment variable (eg. `setenv DISPLAY localhost:0.0' or `DISPLAY=localhost:0.0 ; export DISPLAY') before-hand. The advantage of this is that you can use coolicon out of your startup scripts if you don't have access to them or don't know how to find them.

-M, --mail-name
    If you specify this option, Coolicon will poll your mailbox at the default interval of once every 30 seconds. If it finds that the mailbox has grown more than 80 characters, it will bring up a 3D image of an `e' (remember `Disclosure' with Demi Moore). The `e' can be double-clicked on to remove it.

-s, -shape, --shape
    Without this option, the `e' appears in a managed window. With this option the `e' floats without a window above the desktop. On slow systems, this causes a lot of flicker and CPU hogging. It looks really nice on a fast system though.

-S, --mail-seconds <seconds>
    Set the number of seconds between polls of the mail box file.

-e, --e-data <file-name>
    Specify the file name of the data used to draw the `e'. Default is .../lib/coolicon/e.data.

-X, --size <pixels>
    Specify the size of the `e' window to appear. Default is 150 pixels.

-f, -fn, -font <font-name>
    The font you would like to use.

-h, -H, -?, --help
    Print out commandline options summary.

-V, -v, --version
    Print out version number.

USAGE
Example:

coolicon --mail-name /var/spool/mail/mdouglas &

Envoking coolicon will present the default icons onto the desktop. These will initially be `raised', meaning that they will be printed above the other windows on the screen. This is why you should start coolicon before starting other applications. To lower the icons, right-click on the `Icon manager' icon, and select `Lower icons' from the menu (each icon has a menu). You can move icons around the desktop by dragging them with the left mouse button, and then selecting `Save icons' from any of the icon's menus, to save their current positions. Each icon performs two functions. Firstly, it can be executed by double clicking with the left button (this will usually run the application described by the icon). Secondly it can recieve drag and drop events (for example, dropping text onto the `Print...' icon will run `lpr' and print that text). An icon's actions are defined by two scripts which you can edit by selecting `Edit icon...' from the icon's menu. The fields in the `Edit icon' dialog are mostly self explanatory. The field `Prompt before executing' is the text to be displayed if the `Prompt on drop' or `Prompt on double click' option is on. Similarly with `Confirmation Prompt'. These options cause the user to be asked for some option before the script is executed. This option is passed to the script as `%a'. See the `Print...' icon for an example.

The first thing that is interesting to experiment with is the `Launch...' icon. When you double click on `Launch...' you will be prompted for a file to execute, and a nice browser to find it if you need to. Now if you drop a file-name onto the `Launch...' icon, its script will interpret the file type and launch the appropriate application. For instance, I have coded most image file extensions into the script, so xv will be executed for image files. The list of file types (C files, dvi files etc.) was off the top of my head, so please email me with additions to the script. This way the launch icon will eventually support a large number of extensions. A good idea would be to run the file program on the dropped file-name from within the script and then interpret the result.

CREATING YOUR OWN ICONS
This is easy to do using the `New icon...' menu option - just fill in all the fields. You may want to create your own pictures with some image editing program; if so, pixmap is ideal for manipulating small color images and is recommended. Be sure that the format is `.xpm' and not some other format. Some places where default XPM files may be stored on your system are: /usr/local/icons, /usr/icons, /usr/include/X11/pixmaps. Other icon packages may also have databases of useful XPM files - take a look under ftp://sunsite.unc.edu/pub/Linux/X11/icon/. If the file-name you specify in the `Edit Icon' dialog box is not a full path-name then the path /usr/local/lib/coolicon (or whatever prefix Coolicon was installed under) is prepended to the file-name.

SCRIPT FILE SUBSTITUTIONS
The following `percent substitutions' are available for convenience when writing script files. Take a look through the example script files (especially the `Launch...' icon) on the use of some of these.

%d  The current directory as set from the Change directory... menu item.

%f  If the icon recieved a drop, and that drop was of the `file' type. Then %f contains the full file name of that file, without the path. The next three substitutions refer to this file name.

%n  The file-name without the extension.

%x  The file-name extension only.

%p  The full path of the file-name without the trailing slash. eg. %p/%f is the full path and file name.

%a  The string typed in by the user if they where prompted.

%F  The current font, or 8x13bold if the current font is a proportionally spaced font - use for terminal apps.

%O  The current font regardless.

%%  Inserts a literal %.

%T  A text string representing the type of the data dropped onto the icon. This will be one of the Toplevel MIME Types eg, application, audio, image, text or video. %T will evaluate to one of the types comma-listed for the icon. (Click on Edit Icon in the Icons menu.)

%s  This is the counterpart to %T, its sub-type. %T/%s forms the full mime type of the drop. Examples are application/postscript, application/postscript, audio/x-wav, image/jpeg, text/html or video/mpeg.

%A  %A is the name of a file containing the data that was dropped. This will be a file in the /tmp directory.

UTILITIES
Coolicon is useful for making point-and-click versions of standard text utilities. The problem with text utilities is that there output won't be seen under most X environemts. This is especially problematic if the output is an error message. To display error messages, you can pipe error data into the coolmessage command. Run coolmessage -h to see how it works, and then look at the `Print...' icon's scripts for example usage. The coolbrowse command is also useful for getting files from the user from within scripts, run coolbrowse for more info. There are several other utilities in the same vein: coolinput, coolinput, coollistbox and coolquery. For fun, try
    ps | sed -e 's/^[ ]*//g' -e 's/[ ][ ]*/,/g' | coollistbox -delim ','

LICENSE
This program is distributed under the terms of the GNU General Public License as published by the Free Software Foundation. See the file COPYING in the source distribution for details on the License and the lack of warranty. Alternatively see the 'About' menu of the Cooledit program.

AVAILABILITY
The latest public release of this program can be found at sunsite.unc.edu in the directory /pub/Linux/Incoming, or /pub/Linux/apps/editors/X. The latest development version can be found at lava.obsidian.co.za, in the directory /pub/unix/cooledit, all by anonymous ftp. Coolicon is packed with the Cooledit distribution.

SEE ALSO
cooledit(1), smalledit(1), coolman(1), xinit(1), pixmap(1).

AUTHORS
Paul Sheer (psheer /AT/ icon.co.za)